> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetCallListDetails

POST https://api.voximplant.com/platform_api/GetCallListDetails

Gets details of the specified call list. Returns a CSV file by default.

Allowed roles: `Owner`, `Admin`, `Developer`, `Call list manager`, `sys.Admin read only`.

**Example request:** Get all lists registered by user.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/call-lists/get-call-list-details

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetCallListDetails:
    post:
      operationId: get-call-list-details
      summary: GetCallListDetails
      description: >-
        Gets details of the specified call list. Returns a CSV file by default.


        Allowed roles: `Owner`, `Admin`, `Developer`, `Call list manager`,
        `sys.Admin read only`.


        **Example request:** Get all lists registered by user.
      tags:
        - subpackage_callLists
      parameters:
        - name: list_id
          in: query
          description: The list ID
          required: true
          schema:
            type: integer
        - name: count
          in: query
          description: Maximum number of entries in the result
          required: false
          schema:
            type: integer
        - name: offset
          in: query
          description: The first **N** records are skipped in the output
          required: false
          schema:
            type: integer
        - name: output
          in: query
          description: >-
            The output format. The following values available: **json**,
            **csv**, **xls**. The default value is **csv**
          required: false
          schema:
            type: string
            default: csv
        - name: encoding
          in: query
          description: Encoding of the output file. Default UTF-8
          required: false
          schema:
            type: string
        - name: delimiter
          in: query
          description: Separator values. The default value is ';'
          required: false
          schema:
            type: string
        - name: batch_id
          in: query
          description: Batch UUID to filter the tasks
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/call-lists_GetCallListDetails_Response_200
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    CallListDetailType:
      type: object
      properties:
        list_id:
          type: integer
          description: The list ID
        custom_data:
          type: string
          description: Data for transmission to the script
        start_execution_time:
          type: string
          description: |-
            Timestamp in YYYY-MM-DD HH:mm:ss format.

            Time with which to start the job in 24-h format: HH:mm:ss
        finish_execution_time:
          type: string
          description: >-
            Timestamp in YYYY-MM-DD HH:mm:ss format.


            Time after which the task cannot be performed in 24-h format:
            HH:mm:ss
        result_data:
          type: string
          description: >-
            Results of the task, if it is granted, or information about the
            runtime error
        last_attempt:
          type: string
          description: Date and time of the last attempt to perform a task
        attempts_left:
          type: integer
          description: Number of remaining attempts
        status_id:
          type: integer
          description: >-
            The status ID. The possible values are __0__ (status = New), __1__
            (status = In progress), __2__ (status = Processed), __3__ (status =
            Error), __4__ (status = Canceled)
        status:
          type: string
          description: >-
            The status name. The possible values are __New__ (status_id = 0),
            __In progress__ (status_id = 1), __Processed__ (status_id = 2),
            __Error__ (status_id = 3), __Canceled__ (status_id = 4)
        task_id:
          type: integer
          description: The call list task ID
        task_uuid:
          type: string
          description: The call list task UUID
      description: Detailing job telephone calls.
      title: CallListDetailType
    call-lists_GetCallListDetails_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/CallListDetailType'
          description: Array of tasks for the roll call
        count:
          type: integer
          description: The number of tasks
      title: call-lists_GetCallListDetails_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetCallListDetails"

querystring = {"list_id":"452","count":"50","offset":"0","output":"csv","encoding":"UTF-8","delimiter":";","batch_id":"a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```